

# Logistic regression

setwd()
employ <- read.table("employ.txt", header = TRUE)
head(employ, 4)

?glm

out <- glm(employed ~ female + italian + pension, family = "binomial", 
           data = employ)

summary(out)

pred <- predict(out, type = "response")



# Poisson regression

setwd()
ca <- read.csv("ca.csv", header = TRUE, row.names = 1)
head(ca, 10)

?glm

out <- glm(n ~ factor(hour) + factor(month) + type,
           data = ca,family = poisson())

summary(out)

pred <- predict(out, type = "response")

out <- glm(n ~ factor(hourb) + factor(month) + type,
           data = ca,family = poisson())

out <- glm(n ~ factor(hourb) + type,
           data = ca,family = poisson())

summary(out)

pred <- predict(out, type = "response")
